Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.util
Class DiagramXmlWriter

    java.lang.Object
      biouml.model.util.DiagramXmlConstants
          biouml.model.util.DiagramXmlSupport
              biouml.model.util.DiagramXmlWriter

public class DiagramXmlWriter
extends DiagramXmlSupport

Field Summary
`static java.lang.String` | `APPVERSION`
`protected java.io.OutputStream` | `stream` Stream to store the XML .
`static java.lang.String` | `VERSION`

Fields inherited from class biouml.model.util.DiagramXmlSupport
`diagram, file, log, resources`

Fields inherited from class biouml.model.util.DiagramXmlConstants
`AFTER_ATTR, AFTER_ELEMENT, APPVERSION_ATTR, ASSIGNMENT_ELEMENT, BACKGROUND_COLOR_ATTR, BACKGROUND_VISIBLE_ATTR, BOUNDARY_CONDITION_ATTR, COLOR_ATTR, COMMENT_ATTR, COMPARTMENT_ELEMENT, COMPARTMENT_INFO_ELEMENT, COMPLETION_TIME_ATTR, DELAY_ATTR, DELAY_UNIT_ATTR, DIAGRAM_ELEMENT, DIAGRAM_ELEMENT_ATTR, DIAGRAM_INFO_ATTR, DIAGRAM_INFO_ELEMENT, DIAGRAM_TYPE_ATTR, DML_ELEMENT, EDGE_ELEMENT, EDGES_ELEMENT, EQUATION_ELEMENT, EQUATION_TYPE_ATTR, EQUIVALENTNODEGROUP_ELEMENT, EVENT_ELEMENT, EXECUTABLE_MODEL_ELEMENT, FORMULA_ATTR, HEIGHT_ATTR, HIDE_TITLE_ATTTR, ID_ATTR, IMAGE_ELEMENT, IN_REF_ATTR, INITIAL_TIME_ATTR, INITIAL_VALUE_ATTR, INPORT_ATTR, KERNEL_REF_ATTR, KERNEL_TYPE_ATTR, MODEL_CLASS_ATTR, NAME_ATTR, NODE_ELEMENT, NODES_ELEMENT, ON_EVENT_ELEMENT, OUT_REF_ATTR, OUTPORT_ATTR, PARAMETER_ELEMENT, PLOT_LINE_SPEC_ATTR, REPRESENTATIVE_ATTR, SHAPE_ATTR, SHOW_IN_PLOT_ATTR, SRC_ATTR, STATE_ELEMENT, STATE_ENTRY_ELEMENT, STATE_EXIT_ELEMENT, STATE_ON_EVENT_ELEMENT, STUB, TITLE_ATTR, TRANSITION_ELEMENT, TRIGGER_ATTR, UNITS_ATTR, UNKNOWN_VALUE, VALUE_ATTR, VARIABLE_ATTR, VARIABLE_ELEMENT, VERSION_ATTR, WHEN_ELEMENT, WIDTH_ATTR, X_ATTR, Y_ATTR`

Constructor Summary
`DiagramXmlWriter(java.io.File outFile)` This constructor is used to store the diagram XML description into the specified file.
`DiagramXmlWriter(java.io.OutputStream stream)` This constructor is used to store the diagram XML description into the specified ouput stream and can be used to store the diagram description into relational database.

Method Summary
`protected org.w3c.dom.Document` | `buildDocument()`
`protected static java.lang.String` | `colorToString(java.awt.Color color)`
`protected org.w3c.dom.Element` | `createAssignment(Assignment action, Diagram diagram)`
`protected org.w3c.dom.Element` | `createDiagram()`
`protected org.w3c.dom.Element` | `createDiagramInfo(Diagram diagram)`
`protected org.w3c.dom.Element` | `createDml(org.w3c.dom.Element diag, org.w3c.dom.Element model)`
`protected org.w3c.dom.Element` | `createEquation(Equation equation)`
`protected void` | `createEquationList(org.w3c.dom.Element node, Compartment compartment)`
`protected org.w3c.dom.Element` | `createEvent(Event event, Diagram diagram)`
`protected void` | `createEventList(org.w3c.dom.Element element, Diagram diagram)`
`protected void` | `createFunctionList(org.w3c.dom.Element node, Compartment compartment)`
`protected static org.w3c.dom.Element` | `createImage(ImageDescriptor imageDesc, org.w3c.dom.Document doc)`
`protected org.w3c.dom.Element` | `createModel()`
`protected org.w3c.dom.Element` | `createParameter(Variable parameter)`
`protected org.w3c.dom.Element` | `createState(State state, Diagram diagram)`
`protected void` | `createStateList(org.w3c.dom.Element element, Diagram diagram)`
`protected org.w3c.dom.Element` | `createTransition(Transition transition, Diagram diagram)`
`protected void` | `createTransitionList(org.w3c.dom.Element element, Diagram diagram)`
`protected org.w3c.dom.Element` | `createVariable(VariableRole variable)`
`static boolean` | `isEdgeInfoInformative(Edge edge)`
`protected static void` | `setComment(org.w3c.dom.Element element, DiagramElement diagramElement)`
`protected static void` | `setLocation(org.w3c.dom.Element element, Node node)`
`protected static void` | `setTitle(org.w3c.dom.Element element, DiagramElement diagramElement)`
`void` | `write(Diagram sourceDiagram, Module module)`
`void` | `write(Diagram sourceDiagram, Module module, javax.xml.transform.Transformer transformer)`
`static void` | `writeCompartmentInfo(org.w3c.dom.Element element, Compartment compartment)`
`protected void` | `writeDiagramElement(org.w3c.dom.Element element, DiagramElement de)`
`static void` | `writeEdgeInfo(org.w3c.dom.Element element, Edge edge, org.w3c.dom.Document doc)`
`static void` | `writeNodeInfo(org.w3c.dom.Element element, Node node, org.w3c.dom.Document doc)`

Methods inherited from class biouml.model.util.DiagramXmlSupport
`error, error, getElement, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION

    public static final java.lang.String VERSION

See Also:
  Constant Field Values

### APPVERSION

    public static final java.lang.String APPVERSION

See Also:
  Constant Field Values

### stream

    protected java.io.OutputStream stream

  Stream to store the XML .

Constructor Detail

### DiagramXmlWriter

    public DiagramXmlWriter(java.io.File outFile)
                     throws java.io.FileNotFoundException

  This constructor is used to store the diagram XML description into the specified file.

### DiagramXmlWriter

    public DiagramXmlWriter(java.io.OutputStream stream)

  This constructor is used to store the diagram XML description into the specified ouput stream and can be used to store the diagram description into relational database.

Method Detail

### writeCompartmentInfo

    public static void writeCompartmentInfo(org.w3c.dom.Element element,
                                            Compartment compartment)

### writeNodeInfo

    public static void writeNodeInfo(org.w3c.dom.Element element,
                                     Node node,
                                     org.w3c.dom.Document doc)

### isEdgeInfoInformative

    public static boolean isEdgeInfoInformative(Edge edge)

### writeEdgeInfo

    public static void writeEdgeInfo(org.w3c.dom.Element element,
                                     Edge edge,
                                     org.w3c.dom.Document doc)

### setTitle

    protected static void setTitle(org.w3c.dom.Element element,
                                   DiagramElement diagramElement)

### setComment

    protected static void setComment(org.w3c.dom.Element element,
                                     DiagramElement diagramElement)

### setLocation

    protected static void setLocation(org.w3c.dom.Element element,
                                      Node node)

### colorToString

    protected static java.lang.String colorToString(java.awt.Color color)

### createImage

    protected static org.w3c.dom.Element createImage(ImageDescriptor imageDesc,
                                                     org.w3c.dom.Document doc)

### write

    public void write(Diagram sourceDiagram,
                      Module module)
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### write

    public void write(Diagram sourceDiagram,
                      Module module,
                      javax.xml.transform.Transformer transformer)
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### buildDocument

    protected org.w3c.dom.Document buildDocument()
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createDml

    protected org.w3c.dom.Element createDml(org.w3c.dom.Element diag,
                                            org.w3c.dom.Element model)

### createDiagram

    protected org.w3c.dom.Element createDiagram()

### createDiagramInfo

    protected org.w3c.dom.Element createDiagramInfo(Diagram diagram)

### createModel

    protected org.w3c.dom.Element createModel()

### createParameter

    protected org.w3c.dom.Element createParameter(Variable parameter)

### createVariable

    protected org.w3c.dom.Element createVariable(VariableRole variable)

### createFunctionList

    protected void createFunctionList(org.w3c.dom.Element node,
                                      Compartment compartment)

### createEquationList

    protected void createEquationList(org.w3c.dom.Element node,
                                      Compartment compartment)

### createEventList

    protected void createEventList(org.w3c.dom.Element element,
                                   Diagram diagram)

### createStateList

    protected void createStateList(org.w3c.dom.Element element,
                                   Diagram diagram)

### createState

    protected org.w3c.dom.Element createState(State state,
                                              Diagram diagram)

### createTransitionList

    protected void createTransitionList(org.w3c.dom.Element element,
                                        Diagram diagram)

### createTransition

    protected org.w3c.dom.Element createTransition(Transition transition,
                                                   Diagram diagram)

### createEquation

    protected org.w3c.dom.Element createEquation(Equation equation)

### createEvent

    protected org.w3c.dom.Element createEvent(Event event,
                                              Diagram diagram)

  To do:
    implement "delayUnits" handling

### createAssignment

    protected org.w3c.dom.Element createAssignment(Assignment action,
                                                   Diagram diagram)

### writeDiagramElement

    protected void writeDiagramElement(org.w3c.dom.Element element,
                                       DiagramElement de)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.